TCPCONNECT(1)

NAME
tcplisten - general TCP/IP server

SYNOPSIS
tcplisten [-irv] [localaddr] port

DESCRIPTION
tcplisten waits for a TCP/IP connection on port. If a localaddr parameter is given, tcplisten will bind to that IP address. Otherwise tcplisten will accept connections to any of the local machines IP addresses. Data received from the client is printed on standard output, and data read from standard input is sent to the client. When end-of-file is reached on both standard input and the TCP/IP connection, tcplisten terminates.

OPTIONS

-i  Terminate at end-of-file on standard input; don't wait for the client to close the connection.

-r  Terminate when the remote client closes the connection; don't wait for end-of-file on standard input.

-v  Verbose mode. Prints a message to standard error about the origins (host and port) of the client.

SEE ALSO
tcpconnect(1), telnet(1), mini-inetd(1), tcpbug(1).

BUGS
The names of the options are not yet finalized, and may change at a future release.